<div class="modal" tabindex="-1" role="dialog" aria-labelledby="ModalLabel" aria-hidden="true">
  <div class="modal-content">
    <div class="modal-header">
      <h2 id="ModalLabel">{{SWAPREVIEW:TITLE}}</h2>
      <div class="BtnCancelCloseAll" data-dismiss="modal" aria-hidden="true"></div>
    </div>
    <div class="modal-body">
      <div class="modal-content-main">
        <form class="pure-form pure-form-stacked swapReview-form">
          <div id="swapReview-progress"></div>
          <p style="text-align:center;">{{SWAPREVIEW:MESSAGE_REVIEW_A}}&nbsp;
                                        {{SWAPREVIEW:MESSAGE_REVIEW_B}}</p>
          <div id="swapReview-message"></div>
          <div id="swapReview-proposal">
            <table>
              <tr><th>{{SWAPREVIEW:LABEL_ACTION}}</th><td id="swapReview-action">...</td></tr>
              <tr><th>{{SWAPREVIEW:LABEL_ASSETS}}</th></tr>
              <tr><td>&nbsp;&nbsp; {{SWAPREVIEW:SWAP_FROM}}</td><td id="swapReview-ask">...</td></tr>
              <tr><td>&nbsp;&nbsp; {{SWAPREVIEW:SWAP_TO}}</td><td id="swapReview-bid">...</td></tr>
              <tr><td>&nbsp;&nbsp; {{SWAPREVIEW:SWAP_DURATION}}</td><td id="swapReview-duration">{{SWAPREVIEW:SWAP_DURATION_STATIC}}</td></tr>
              <tr><th>{{SWAPREVIEW:LABEL_FEES}}</th></tr>
              <tr><td>&nbsp;&nbsp; {{SWAPREVIEW:FEE_ALLOCATOR}}</td><td id="swapReview-feeAllocator">...</td></tr>
              <tr><td>&nbsp;&nbsp; {{SWAPREVIEW:FEE_NETWORK}}</td><td id="swapReview-feeNetwork">...</td></tr>
              <tr><td>&nbsp;&nbsp; {{SWAPREVIEW:FEE_TRANSACTION}}</td><td id="swapReview-feeTransaction">...</td></tr>
              <tr id="swapReview-target-container"><th>{{SWAPREVIEW:SWAP_TARGET}}</th><td id="swapReview-target">...</td></tr>
              <!-- TODO: nice-to-have
                <tr><td>Proposal deadline:</td><td id="swapReview-deadline">...</td></tr>
                <tr><td>Time to swap:</td><td id="swapReview-ETA">...</td></tr>
              -->
            </table>
          </div>
          <br />
          <p style="text-align:center;"><b style="color:red;">{{SWAPREVIEW:IMPORTANT}}</b><br>
                                        {{SWAPREVIEW:MESSAGE_REVIEW_C}}</p>
        </form>
        <div id="swapReview-spinner"><div class="spinner-loader">...</div><div id="swapReview-spinner-message">{{SWAPREVIEW:REQUESTING_ESTIMATE}}</div></div>
      </div>
      <div class="modal-content-space"></div>
      <div class="modal-content-buttons">
        <div id="swapReview-back" class="pure-button pure-button-large" aria-hidden="true">{{SWAPREVIEW:BUTTON_BACK}}</div>
        <div id="swapReview-swap" class="pure-button pure-button-main pure-button-large disabled" aria-hidden="true">{{SWAPREVIEW:BUTTON_SWAP}}</div>
      </div>
    </div>
  </div>
</div>
